## com.bbn.openmap.geo
Class GeoRegion.Impl

    java.lang.Object
      com.bbn.openmap.geo.GeoPath.Impl
          com.bbn.openmap.geo.GeoRegion.Impl

All Implemented Interfaces:
  GeoExtent, GeoPath, GeoRegion

Direct Known Subclasses:
  GeoIntersectionLayer.OMPolyRegion

Enclosing class:
  GeoRegion

public static class GeoRegion.Impl
extends GeoPath.Impl
implements GeoRegion

Nested Class Summary

Nested classes inherited from class com.bbn.openmap.geo.GeoPath.Impl
`GeoPath.Impl.PointIt, GeoPath.Impl.SegIt`

Nested classes inherited from class com.bbn.openmap.geo.GeoRegion
`GeoRegion.Impl`

Nested classes inherited from class com.bbn.openmap.geo.GeoPath
`GeoPath.PointIterator, GeoPath.SegmentIterator`

Field Summary

Fields inherited from class com.bbn.openmap.geo.GeoPath.Impl
`bc, id, length, pts`

Constructor Summary
`GeoRegion.Impl(float[] lls)` Create a region of LatLon pairs.
`GeoRegion.Impl(float[] lls, boolean isDegrees)` Create a region of LatLon pairs.
`GeoRegion.Impl(Geo[] coords)`

Method Summary
`BoundingCircle` `getBoundingCircle()` compute a point and radius around the extent.
`java.lang.Object` `getRegionId()` Deprecated. use getID() instead.
`boolean` `isPointInside(Geo p)` Is the Geo inside the region?
`boolean` `isSegmentNear(GeoSegment s, double epsilon)` Does the segment s come within epsilon (in radians) of us?
`void` `setRegionId(java.lang.Object rid)` Deprecated. use getID() instead.

Methods inherited from class com.bbn.openmap.geo.GeoPath.Impl
`getID, getPathID, getPointID, getPoints, getSegID, length, pointIterator, segmentIterator, setID, setPoints, setPoints`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.bbn.openmap.geo.GeoPath
`getPoints, length, pointIterator, segmentIterator`

Methods inherited from interface com.bbn.openmap.geo.GeoExtent
`getID`

Constructor Detail

### GeoRegion.Impl

    public GeoRegion.Impl(Geo[] coords)

### GeoRegion.Impl

    public GeoRegion.Impl(float[] lls)

  Create a region of LatLon pairs.

Parameters:
  `lls` - alternating lat/lon in decimal degrees.

### GeoRegion.Impl

    public GeoRegion.Impl(float[] lls,
                          boolean isDegrees)

  Create a region of LatLon pairs.

Parameters:
  `lls` - alternating lat/lon values.
  `isDegrees` - true if lat/lon are in degrees, false if in radians.

Method Detail

### setRegionId

    public void setRegionId(java.lang.Object rid)

  Deprecated. use getID() instead.

### getRegionId

    public java.lang.Object getRegionId()

  Deprecated. use getID() instead.

### isSegmentNear

    public boolean isSegmentNear(GeoSegment s,
                                 double epsilon)

  Description copied from interface: `GeoPath`
  Does the segment s come within epsilon (in radians) of us?

  Specified by:
    `isSegmentNear` in interface `GeoPath`
  Overrides:
    `isSegmentNear` in class `GeoPath.Impl`

### isPointInside

    public boolean isPointInside(Geo p)

  Description copied from interface: `GeoRegion`
  Is the Geo inside the region?

  Specified by:
    `isPointInside` in interface `GeoRegion`
  Parameters:
    `p` -
  Returns:
    true if point is inside region.

### getBoundingCircle

    public BoundingCircle getBoundingCircle()

  Description copied from interface: `GeoExtent`
  compute a point and radius around the extent.

  Specified by:
    `getBoundingCircle` in interface `GeoExtent`
  Overrides:
    `getBoundingCircle` in class `GeoPath.Impl`

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details